> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get run metrics

> Get metrics for orchestration runs



## OpenAPI

````yaml https://api.getcargo.io/openapi.json post /orchestration/runs/metrics
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /orchestration/runs/metrics:
    post:
      tags:
        - Orchestration - Runs
      summary: Get run metrics
      description: Get metrics for orchestration runs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workflowUuid:
                  title: Workflow UUID
                  description: Workflow identifier.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                releaseUuid:
                  title: Release UUID
                  description: Release identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                batchUuid:
                  title: Batch UUID
                  description: Batch identifier to filter by.
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
                createdAfter:
                  title: Created after
                  description: Include runs created after this timestamp.
                  type: string
                createdBefore:
                  title: Created before
                  description: Include runs created before this timestamp.
                  type: string
              required:
                - workflowUuid
              additionalProperties: false
              title: Request body
              description: Request body schema.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  runMetrics:
                    type: array
                    items:
                      type: object
                      properties:
                        nodeUuid:
                          type: string
                        totalExecutionsCount:
                          type: number
                        idleExecutionsCount:
                          type: number
                        pendingExecutionsCount:
                          type: number
                        runningExecutionsCount:
                          type: number
                        successExecutionsCount:
                          type: number
                        errorExecutionsCount:
                          type: number
                        cancellingExecutionsCount:
                          type: number
                        cancelledExecutionsCount:
                          type: number
                        skippedExecutionsCount:
                          type: number
                        creditsUsedCount:
                          type: number
                      required:
                        - nodeUuid
                        - totalExecutionsCount
                        - idleExecutionsCount
                        - pendingExecutionsCount
                        - runningExecutionsCount
                        - successExecutionsCount
                        - errorExecutionsCount
                        - cancellingExecutionsCount
                        - cancelledExecutionsCount
                        - skippedExecutionsCount
                        - creditsUsedCount
                      additionalProperties: false
                    title: Run metrics
                    description: Aggregated run metrics.
                required:
                  - runMetrics
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````